﻿topicarray["0fc474afa3cb4cd0411af87368737b6c"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eProgram test\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eOverview\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe \"program test\" function can be used to traverse a program without axis motion.   \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eProgram test\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAll additional data is determined and taken into account. For tool management, this means that the tools are searched and the appropriate values transferred to the PLC interface when the tool is called.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe PLC must acknowledge these tasks without moving the magazine or changing a tool. Special measures are therefore required on the PLC.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe tool management acts in exactly the same way as it would when a program is running. In the case of tools without fixed location codes and acknowledgement, this can result in the PLC data indicating different tool locations to the actual mechanical locations in the magazine. This can be prevented by configuring FC 8 such that a fixed location is simulated for the duration of the program test rather than the calculated empty location applied as a parameter.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe old location of the tool is stored in the function block which handles program testing and returned again to this location in the software (data settings). Any existing spindle tool is also returned to the spindle in the software at the end of the program test or on a reset. This ensures that the magazine assignments in the software match the mechanical assignments after program testing.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eFor testing programs involving manual tools, see Section \"\u003c/span\u003e\u003cspan class=\"hotspot\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk48c6d849-b874-29db-cf57-0aea44495aba3da2153ab2865e43818e8b64a247fe3f\" class=\"hotspot-link display-i-none\" data-mode=\"grab\" data-label=\"auto\" data-linktarget=\"3da2153ab2865e43818e8b64a247fe3f\" data-targettype=\"TOPIC\" data-targetdocument=\"acafb4a1831f9c2a03ca9518b5357d8d\" data-targetdetail=\"3da2153ab2865e43818e8b64a247fe3f\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003eManual tools (adding tools during machining)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003ca id=\"hse_chk48c6d849-b874-29db-cf57-0aea44495aba3da2153ab2865e43818e8b64a247fe3f\" data-id=\"hs_chk48c6d849-b874-29db-cf57-0aea44495aba3da2153ab2865e43818e8b64a247fe3f\" data-type=\"hotspot-ext-link\" data-linktype=\"hotspot-ext-link\" class=\"hotspot-ext-link display-none\"\u003e\u003ci class=\"\" /\u003e\u003c/a\u003e\u003cdiv id=\"hsc_chk48c6d849-b874-29db-cf57-0aea44495aba3da2153ab2865e43818e8b64a247fe3f\" class=\"hotspot-container hidden topicclass display-none\" style=\"\" data-type=\"hotspot-container\" data-id=\"hs_id\" /\u003e\u003c/span\u003e\u003cspan\u003e\".\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"example\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eExample of how to adapt the PLC in test mode  \u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003ePLC in test mode\u003c/span\u003e\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe following program example can be used as a template for adapting the PLC to the program test mode. Only the first channel and a spindle are supported as tool change locations.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe tool is always changed directly into the spindle. The spindle is used as the change position (DB72). Access to the NC-PLC interface (DB21, DB72) is symbolic. The standard UDTs (UDT 21, 72) are included for this purpose. These are part of the basic program and must be copied to the project and subsequently compiled.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe following must be entered in the symbol table:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"25.0%\" /\u003e\u003ccol width=\"25.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"25.0%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"25.0%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first\"\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eSymbol\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eAddress\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eData type\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003cth class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_lb floating-text\"\u003e\u003cspan\u003eComment\u003c/span\u003e\u003c/div\u003e\u003c/th\u003e\u003c/tr\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eChannel 1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDB21\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eUDT 21\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eSpChPos\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDB72\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eUDT 72\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eTC_VAR  \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eTC_VAR\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDB119\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDB119\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFor testing the tool change\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAll necessary variables are stored in the instance data block.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf program test mode is \u003c/span\u003e\u003cspan class=\"b\"\u003edeselected\u003c/span\u003e\u003cspan\u003e, no action occurs. The target positions suggested by tool management are confirmed by the PLC. \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf program test mode is \u003c/span\u003e\u003cspan class=\"b\"\u003eselected\u003c/span\u003e\u003cspan\u003e, the target positions are defined by the PLC. These correspond to the source positions of the respective tools. The target position is only confirmed and saved by tool management on the first tool change. It is thus possible to undo the first tool change after program test mode is selected.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTwo asynchronous transfers are required for this purpose. The first one returns any tool present in the spindle to the magazine. The second asynchronous transfer is intended to return a tool which was loaded in the spindle before program test mode back into the spindle.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe corresponding PLC example is stored in the toolbox. The sample file WZV_PROG.AWL is packed in file WZV_BSP:EXE.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eProgram test - extended\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eA setting can be selected with the machine data $MC_TOOL_MANAGEMENT_MASK, bit 20 such that the NC cannot issue any tool-changing commands to the PLC in the status \"Program test active\". The NC outputs its own acknowledgement so that no further data-related tool motion exists.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe default setting is that the Tool_change command is not output.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe following applies for the tool used during program test mode:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe tool status \"active\" can still be set and the tool status \"was in use\" is set. This does not have any further detrimental effects since tool monitoring is not normally active in the test mode.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIf \u003c/span\u003e\u003cspan class=\"b\"\u003ebit 20\u003c/span\u003e\u003cspan\u003e, value \u003c/span\u003e\u003cspan class=\"b\"\u003e1 \u003c/span\u003e\u003cspan\u003eis set, generated commands are output to the PLC. Tool / magazine data can be changed in the NC depending on the type of acknowledgement by the PLC. If the acknowledgement parameters for the \"target magazine\" are set to the values of the \"source magazine\", then the tool is not moved and the data therefore not altered in the NC.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eException: The tool status of the tool activated in the test mode can take the status \"active\".\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eIt may not be derived – to the extent the setting \"No tool change commands to PLC\" is selected – that the tool on the spindle or the tool holder during \"Program test active\" is the active tool.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe block search \"SERUPRO\" search (cross-channel block search) uses the program test.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}