﻿topicarray["a1d14fbc5a0d33451ac7cc6065db11b5"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eAuxiliary functions for numerical coding\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTool data can be saved on the code carrier using various codings. The following auxiliary functions are available when reading and writing this data within MCIS-C:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"subheading header-object\"\u003e\u003cspan\u003eSyntax\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eAll of these functions always have as the first parameter, the array object: Array and an offset within this array as second parameter. The offset can assume values between 0 and ToolArray.ArraySize()-1. For data types with a variable length, the length of the data on the code carrier is also transferred, (e.g. readASCII(array, offset, length)).\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ereadASCII() / writeASCII()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"15.2%\" /\u003e\u003ccol width=\"84.7%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003estring\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadASCII ( array, offset, length )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteASCII ( array, offset, length, string [,precision] )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions allow ASCII strings to be read and written to. When writing, the string is aligned \"right justified\". If the string that is written is longer than the parameter length, then the excess characters are cut off. If the string is shorter, then the written range is filled with spaces. When reading, leading spaces and spaces at the end of a line are ignored. The writeASCII() function contains an optional \"precison\" parameter with which the number of decimal places can be specified. If this parameter is not used, then the number of decimal places configured in SINUMERIK is used.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExamples:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteASCII ( ToolArray, 0, 5, \"ABC\" );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadASCII ( ToolArray, 0, 5 ); =\u0026gt; \"ABC\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e41\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e42\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e43\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e20\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e20\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteASCII ( ToolArray, 0, 5, \"ABCDEFGH\" );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadASCII ( ToolArray, 0, 5 ); =\u0026gt; \"ABCDE\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e41\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e42\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e43\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e44\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e45\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteASCII ( ToolArray, 0, 5, 3.94 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteASCII ( ToolArray, 5, 5, 3.94, 0 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteASCII ( ToolArray, 10, 5, 3.94, 1 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadASCII ( ToolArray, 0, 5 ); =\u0026gt; \"3.94\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadASCII ( ToolArray, 5, 5 ); =\u0026gt; \"00004\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadASCII ( ToolArray, 10, 5 ); =\u0026gt; \"003.9\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e30\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e33\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e39\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e34\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e30\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e30\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e30\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e30\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e34\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e30\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e30\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e33\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e39\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ereadBCD() / writeBCD()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"15.2%\" /\u003e\u003ccol width=\"84.7%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003edouble\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( array, offset, length )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( array, offset, length, val [,precision] )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions allow BCD numbers to be read and written.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExamples:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( ToolArray, 0, 5, 3.11 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( ToolArray, 0, 5 ); =\u0026gt; \"3.11\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( ToolArray, 5, 5, -47.11 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( ToolArray, 0, 5 ); =\u0026gt; \"-47.11\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( ToolArray, 10, 5, 4711 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( ToolArray, 10, 5 ); =\u0026gt; \"4711\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eD0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e04\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e47\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( ToolArray, 0, 5, -3.1234 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( ToolArray, 0, 5 ); =\u0026gt; \"-3.12\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( ToolArray, 5, 5, 1.2 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( ToolArray, 5, 5 ); =\u0026gt; \"1.2\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eD0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e32\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e04\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e20\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( ToolArray, 0, 4, 3.94 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( ToolArray, 0, 4 ); =\u0026gt; \"3.94\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( ToolArray, 4, 4, 3.94, 0 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( ToolArray, 4, 4 ); =\u0026gt; \"4\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( ToolArray, 8, 4, 3.94, 1 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( ToolArray, 8, 4 ); =\u0026gt; \"3.9\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteBCD ( ToolArray, 12, 4, 3.94, 2 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadBCD ( ToolArray, 12, 4 ); =\u0026gt; \"3.94\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e94\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e04\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e03\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eE9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e94\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ereadINT() / writeINT()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"15.2%\" /\u003e\u003ccol width=\"84.7%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eint\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadINT ( array, offset )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteINT ( array, offset, val )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions allow signed 16-bit numbers to be read and written. The data is stored in the S7 format (Big Endian).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExample:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteINT ( ToolArray, 0, 1 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadINT ( ToolArray, 0, ); =\u0026gt; \"1\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteINT ( ToolArray, 2, 4711 ); // hex: 1267\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadINT ( ToolArray, 2 ); =\u0026gt; \"4711\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteINT ( ToolArray, 4, -300 ); // hex: FED4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadINT ( ToolArray, 4 ); =\u0026gt; \"-300\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteINT ( ToolArray, 6, -1 ); // hex: FFFF\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadINT ( ToolArray, 6 ); =\u0026gt; \"-1\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e01\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e67\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFE:\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eD4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFF\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFF\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ereadDINT() / writeDINT()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"15.2%\" /\u003e\u003ccol width=\"84.7%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003elong\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadDINT ( array, offset )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDINT ( array, offset, val )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions allow signed 32-bit numbers to be read and written. The data is stored in the S7 format (Big Endian).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExample:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDINT ( ToolArray, 0, 1234 ); // hex: 4D2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadDINT ( ToolArray, 0, ); =\u0026gt; \"1234\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDINT ( ToolArray, 4, -1234 ); // hex: FFFFFB2E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadDINT ( ToolArray, 4 ); =\u0026gt; \"-1234\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e04\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eD2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFF\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFF\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eFB\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2E\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ereadWORD() / writeWORD()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"15.2%\" /\u003e\u003ccol width=\"84.7%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003elong\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadWORD ( array, offset )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteWORD ( array, offset, val )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions allow unsigned 16-bit numbers to be read and written. The data is stored in the S7 format (Big Endian).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExample:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteWORD ( ToolArray, 0, 1 ); // hex: 1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadWORD ( ToolArray, 0, ); =\u0026gt; \"1\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteWORD ( ToolArray, 2, 50000 ); // hex: C350\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadWORD ( ToolArray, 2, ); =\u0026gt; \"50000\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e01\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eC3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e50\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ereadDWORD() / writeDWORD()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"28.8%\" /\u003e\u003ccol width=\"71.1%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eunsigned long\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadDWORD ( array, offset )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDWORD ( array, offset, val )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions allow unsigned 32-bit numbers to be read and written. The data is stored in the S7 format (Big Endian).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExample:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDWORD ( ToolArray, 0, 12345678 ); // hex: 075BCD15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadDWORD ( ToolArray, 0, ); =\u0026gt; \"12345678\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDWORD ( ToolArray, 4, 987654321 ); // hex: 3ADE68B1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadDWORD ( ToolArray, 4, ); =\u0026gt; \"987654321\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e07\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5B\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eCD\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3A\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eDE\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e68\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eB1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ereadREAL() / writeREAL()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"15.1%\" /\u003e\u003ccol width=\"84.8%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003efloat\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadREAL ( array, offset )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteREAL ( array, offset, val )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions allow 32-bit floating-point numbers to be read and written. The data is stored in the S7 format (REAL).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExample:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteREAL ( ToolArray, 0, 3.11f );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadREAL ( ToolArray, 0, ); =\u0026gt; \"3.11\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteREAL ( ToolArray, 4, 08.15f );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadREAL ( ToolArray, 4, ); =\u0026gt; \"08.15\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e40\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e47\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0A\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3D\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e41\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e02\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e66\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e66\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe notation 3.11f ensures that the constant 3.11 is interpreted as 32-bit floating-point number (float). 64-bit (double) is used as default.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ereadDOUBLE() / writeDOUBLE()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"15.1%\" /\u003e\u003ccol width=\"84.8%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003edouble\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadDOUBLE ( array, offset )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDOUBLE ( array, offset, val )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions allow 64-bit floating-point numbers to be read and written. The data correspond to the IEEE 754 standard.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExample:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDOUBLE ( ToolArray, 0, 3.11 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadDOUBLE ( ToolArray, 0, ); =\u0026gt; \"3.11\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDOUBLE ( ToolArray, 8, 08.15 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ereadDOUBLE ( ToolArray, 8, ); =\u0026gt; \"08.15\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e40\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e08\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eE1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e47\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eAE\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7A\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eE1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e40\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e20\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4C\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eCC\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eCC\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eCC\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eCC\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eCD\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eReverseByteOrder ()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eReverseByteOrder ( val )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe functions xxxINT(), xxxDINT(), xxxWORD() and xxxDWORD() read and write values in the Big-Endian format. This corresponds to S7 formats. If values are to be read / written in the Little-Endian format, then the function ReverseByteOrder() can be used for this purpose.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExample:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteINT ( ToolArray, 0, 1 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteINT ( ToolArray, 2, ReverseByteOrder(1) );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eReverseByteOrder( readINT( ToolArray, 2 ) ); =\u0026gt; \"1\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDINT ( ToolArray, 4, 4711 );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ewriteDINT ( ToolArray, 8, ReverseByteOrder(4711L) );\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003eReverseByteOrder( readDINT( ToolArray, 8 ) ); =\u0026gt; \"4711\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleWide inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_default\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"11.2%\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003ccol width=\"5.5%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eHex value\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e01\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e01\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e67\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e67\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e00\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003ctd class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003eOffset\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e0\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e1\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e2\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e4\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e5\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e6\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e7\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e8\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e9\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e10\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e11\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e12\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e13\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e14\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p p_table_l floating-text\"\u003e\u003cspan\u003e15\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"safetycontainer inserted-object\"\u003e\u003ctable width=\"100%\" class=\"note\"\u003e\u003ctr valign=\"top\"\u003e\u003ctd colspan=\"3\" class=\"hint-headerContent\"\u003e\u003cp\u003e\u003cdiv style=\"display:table;\"\u003e\u003cdiv style=\"display:table-cell;vertical-align:middle;\"\u003eNote\u003c/div\u003e\u003c/div\u003e\u003c/p\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr class=\"hint-content\"\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"emptyIcon\" /\u003e\u003ctd class=\"hint-content-text\"\u003e\u003cdiv\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe notation 4711L ensures that the constant 4711 is interpreted as 32-bit constant. 16-bit (int) is used as default.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"3\" class=\"hint-lower-line\" /\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003ePlaceTypeToString () / PlaceTypeFromString ()\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe location type of a tool (TC_TP7) is always listed as a numeric value in SINUMERIK Operate. In HMI Advanced, a string value is managed for the location type. The assignment between the numerical value and the string value is realized in the database WZACCESS.MDB.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eTo guarantee the compatibility of code carrier formats between HMI-Advanced and SINUMERIK Operate, the \"ToolSpec.xml\" configuration file is introduced in Tool Ident Connection. This file must be saved in the control in the same directory as the mcx file.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-table-title has-no-table-footer\"\u003e\u003cdiv class=\"tableTitle\" id=\"a1d14fbc5a0d33451ac7cc6065db11b596140082059__35\" /\u003e\u003cdiv class=\"p tableTitle\"\u003e\u003cspan\u003e\u003cspan\u003eExample, ToolSpec.xml\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e\u0026lt;!--The following data structure is used to convert the location type information ($TC_TP7) from a numeric value to a string value and vice versa. The string comparison is case-sensitive in the conversion from text → code--\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e\u0026lt;ToolSpecConversion\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e   \u0026lt;ToolSpec code=\"1\" text=\"normal\"/\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e   \u0026lt;ToolSpec code=\"2\" text=\"large\"/\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e   \u0026lt;ToolSpec code=\"3\" text=\"small\"/\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e\u0026lt;/ToolSpecConversion\u0026gt;\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eThe ToolSpec.xml can be accessed within the conversion rule with the \u003c/span\u003e\u003cspan class=\"code\"\u003ePlaceTypeToString()\u003c/span\u003e\u003cspan\u003e and \u003c/span\u003e\u003cspan class=\"code\"\u003ePlaceTypeFromString() \u003c/span\u003e\u003cspan\u003eauxiliary functions.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow floating-text table-container has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_sourcecode\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"100.0%\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePlaceTypeToString ( NumType )\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePlaceTypeFromString ( StrType )\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003eExample:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"tableTitleNarrow inserted-object tablecontainer has-no-table-title has-no-table-footer\"\u003e\u003cdiv class=\"table-overflow-container\"\u003e\u003ctable cellspacing=\"0\" class=\"table_invisible\" width=\"100%\"\u003e\u003ccolgroup\u003e\u003ccol width=\"49.9%\" /\u003e\u003ccol width=\"50.0%\" class=\"column-two-and-beyond\" /\u003e\u003c/colgroup\u003e\u003ctr class=\"first-content\"\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePlaceTypeToString ( 1 ); \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePlaceTypeToString ( 2 ); \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePlaceTypeToString ( 3 ); \u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e⇒ \"normal\"\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e⇒ \"large\"\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e⇒ \"small\"\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd colspan=\"2\" class=\"default_Cell empty\"\u003e​\u003c/td\u003e\u003c/tr\u003e\u003ctr\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePlaceTypeFromString (\"normal\" ); \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePlaceTypeFromString (\"large\" ); \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003ePlaceTypeFromString (\"small\" ); \u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003ctd class=\"default_Cell not_empty\"\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e⇒ 1\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e⇒ 2\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text p-table-l-code\"\u003e\u003cspan\u003e⇒ 3\u003c/span\u003e\u003c/div\u003e\u003c/td\u003e\u003c/tr\u003e\u003c/table\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}